--- title: "createLaunchConfiguration" slug: "compute-vautoscaling-launchconfiguration-createlaunchconfiguration" tags: ["Auto Scaling"] updated: 2026-10-08T04:17:20Z published: 2026-10-08T04:17:20Z canonical: "api.ncloud-docs.com/compute-vautoscaling-launchconfiguration-createlaunchconfiguration" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createLaunchConfiguration Available in VPC Create a Launch Configuration. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/createLaunchConfiguration | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the request headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `memberServerImageInstanceNo` | String | Conditional | Server image instance number - Enter when creating a server with a user-generated server image (scale-out). - At least one of the following is required: `memberServerImageInstanceNo`, `serverImageNo`, or `serverImageProductCode`. - See [getMemberServerImageInstanceList](/docs/en/compute-vserver-serverimage-getmemberserverimageinstancelist). | | `serverImageNo` | String | Conditional | Server image number - Enter when creating a server with a new server image (scale-out) (KVM, RHV, XEN). - At least one of the following is required: `memberServerImageInstanceNo`, `serverImageNo`, or `serverImageProductCode`. - See [getServerImageList](/docs/en/compute-vserver-serverimage-getServerImageList). | | `serverImageProductCode` | String | Conditional | Server image product code - Enter when creating a server with a new server image (scale-out) (RHV, XEN). - At least one of the following is required: `memberServerImageInstanceNo`, `serverImageNo`, or `serverImageProductCode`. - See [getServerImageProductList](/docs/en/compute-vserver-server-common-getserverimageproductlist). | | `serverSpecCode` | String | Conditional | Server specification code - Set the server specifications when using `serverImageNo`. - Default: Minimum specifications (in the order of memory, CPU, default block storage capacity, disk type (NET)). - See [getServerSpecList](/docs/en/compute-vserver-server-common-getserverspeclist). | | `serverProductCode` | String | Conditional | Server product code - Set the server specifications when using `serverImageProductCode`. - Default: Minimum specifications (in the order of memory, CPU, default block storage capacity, disk type (NET)). - See [getServerProductList](/docs/en/compute-vserver-server-common-getserverproductlist). | | `isEncryptedVolume` | Boolean | Optional | Whether to encrypt the default block storage volume - `true` \| `false` (default) - `true`: Encrypted. - `false`: Not encrypted. - Can only be set on RHV server images. | | `initScriptNo` | String | Optional | Init script number - Run user-set Init script on first boot. - See [getInitScriptList](/docs/en/compute-vserver-initscript-getinitscriptlist). | | `launchConfigurationName` | String | Optional | Launch configuration name - Enter 1-255 characters using a combination of lowercase English letters, numbers, and special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Auto-generated on no input (default). | | `loginKeyName` | String | Optional | Authentication key name - See [getLoginKeyList](/docs/en/compute-vserver-server-loginkey-getloginkeylist). - Default: Recently created authentication key. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | Note When entering a request query parameter, see the following: - When you create a server from a new server image (scale-out), the available fields vary depending on the hypervisor type of the server image, as follows: - KVM: `serverImageNo` and `serverSpecCode` are used. - XEN: `serverImageNo` and `serverSpecCode` or `serverImageProductCode` and `serverProductCode` are used. - RHV: `serverImageNo` and `serverSpecCode` or `serverImageProductCode` and `serverProductCode` are used. ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/createLaunchConfiguration ?regionCode=KR &serverImageNo=100614134 &serverProductCode=SVR.VSVR.CPU.C002.M004.G003 &launchConfigurationName=launchconfigtest &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createLaunchConfigurationResponse` | Object | - | Response result - See [LaunchConfigurationList](/docs/en/common-vapidatatype-launchconfigurationlist). | | `createLaunchConfigurationResponse.requestId` | String | - | ID for the request - UUID format | | `createLaunchConfigurationResponse.returnCode` | String | - | Response code | | `createLaunchConfigurationResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createLaunchConfigurationResponse": { "totalRows": 1, "launchConfigurationList": [ { "regionCode": "KR", "launchConfigurationNo": "5994", "launchConfigurationName": "launchconfigtest", "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR24.G003", "serverProductCode": "SVR.VSVR.CPU.C002.M004.G003", "loginKeyName": "ncp-loginkey", "createDate": "2025-06-12T14:15:45+0900", "launchConfigurationStatus": { "code": "CREAT", "codeName": "Created" }, "initScriptNo": "", "isEncryptedVolume": false, "serverImageNo": "100614134", "osInformation": "ubuntu-24.04", "serverSpecNo": "1916", "serverSpecCode": "ci2-g3", "serverSpecDescription": "vCPU 2EA, Memory 4GB" } ], "requestId": "2d7f87e6-****-****-****-94b87f5f5500", "returnCode": "0", "returnMessage": "success" } } ```